body {
  --foreground-color: black;
  --background-color: white;
  --circle-color: blue;
  color: var(--foreground-color);
  background-color: var(--background-color);
}
@media (prefers-color-scheme: dark) {
    body {
      --foreground-color: white;
      --background-color: rgb(33, 37, 41);
      --circle-color: yellow;
    }
}
.invalid {
  color: red;
}
p {
  text-align: justify;
}
div.chern_input {
  margin: auto;
  math {
    font-size: xx-large;
    text-align: center;
    display: block;
  }
  mtable mtable {
    button {
      min-width: 1.3em;
      display: inline-block;
      box-sizing: border-box;
      max-height: 1.2em;
      text-align: center;
      font-size: 1.2em;
      color: var(--background-color);
    }
    mtr:first-child button {
      border-radius: 0.75em 0.75em 0 0;
      background-image: linear-gradient(
        var(--foreground-color),
        var(--background-color)
      );
      border-width: 0;
      &:hover {
        background-image: linear-gradient(
          color-mix(in lch,
            var(--background-color),
            var(--foreground-color)),
          var(--background-color)
        );
      }
    }
    mtr:last-child button {
      border-radius: 0 0 0.75em 0.75em;
      background-image: linear-gradient(
        var(--background-color),
        var(--foreground-color)
      );
      border-width: 0;
      &:hover {
        background-image: linear-gradient(
          var(--background-color),
          color-mix(in lch,
            var(--background-color),
            var(--foreground-color))
        );
      }
    }
    mtd {
      padding: 0 0.1em 0 0.1em;
    }
  }
  button.submit {
    display: inline-block;
    border: solid var(--foreground-color) 1px;
    border-radius: 0.5em;
    padding: 0.2em;
    font-size: 1em;
    margin-left: 1em;
    border-radius: 0.2em;
    &:hover {
      border-color: var(--circle-color);
      color: var(--circle-color);
    }
  }
}

svg {
  border: solid var(--foreground-color) 2px;
}

svg > circle {
  transition: stroke 0.15s ease-in;
  transition: stroke-width 0.15s linear;
  fill: var(--background-color);
  stroke: var(--circle-color);
  &.infocus {
    stroke: red;
  }
  &.selected {
    stroke: purple;
  }
}

div.container {
  display: flex;
  width:100%;
  flex-wrap: wrap;
  align-items: stretch;
  justify-content: space-between;

  div.svg-container {
    flex-basis:60%;
    min-width: 300px;
    flex-grow:2;
  }

  div.sidebar {
    overflow: hidden;
    flex-basis:20%;
    display: flex;
    flex-direction: column;
    border: dotted var(--background-color) 1px;
    flex-grow: 3;

    h1 {
      color: purple;
    }

    $labelheight : 1.5em;
    $labelpadding: 0.2em;
    $labelradius: 0.3em;
    $fileborder: 1px; /* "File" border*/
    $transitiontime: 0.15s;
    $focuscolor: red;
    $selectedcolor: purple;
    $defaultcolor: orange;

    div.wall-destabilisers-container{
      flex-grow:1;
      div.wall-destabilisers{
        &::nth-child(1) {
          --n: 0;
        }
        &::before{
          /* "File label" */
          display: block;
          float: left; /* needed to help them stack side by side */
          background-color:$focuscolor;
          height: $labelheight;
          padding: $labelpadding $labelpadding 0 $labelpadding;
          content: "#" var(--nstr);
          border-radius: $labelradius $labelradius 0 0;
          border-width: $fileborder $fileborder 0 $fileborder;
          border-color: var(--background-color);
          border-style: solid;
          margin-bottom: -$fileborder;
          margin-top: -$fileborder;
          min-width: calc(100% / var(--numwalls));
          margin-left: calc(100% / (var(--numwalls) + 1) * var(--n));
        }

        margin-top: - $labelheight - $labelpadding; /* needed so "File labels appear side by side */
        width:100%;
        overflow: hidden;
        div{
          /* "File" */
          clear:left; /* needed to clear from the "file label" float prop */
          transition-property: height;
          transition-duration: $transitiontime;
          transition-timing-function: linear;
          transition-delay: $transitiontime;
          /* TODO choose something more appropriate for height */
          /* It cannot have dynamic height*/
          height: 9em;
          background-color: $focuscolor;
          border: $fileborder solid var(--background-color);
          margin-bottom: -$fileborder;
        }
        &:not(.infocus):not(.selected){
          div{
            transition-delay: 0s;
            height:0;
            background-color: $defaultcolor;
          }
          &::before{
            background-color: $defaultcolor;
          }
        }
      }
    }
  }
}

/* orientation: portrait */
@media /*(max-width: 1024px), */
(orientation: portrait)
{
  div.container {
    div.svg-container {
      flex-basis: 100%;
    }
    div.sidebar {
      font-size: 5vw; // arbitrary, play around
    }
  }
}
